Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

## Interface CaseTree

- All Superinterfaces:
    `Tree`

      public interface CaseTree
      extends Tree

  A tree node for a 'case' in a 'switch' statement. For example:

         case expression :
             statements

         default :
             statements

  Since:
    9

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface jdk.nashorn.api.tree.Tree

      `Tree.Kind`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ExpressionTree` | `getExpression​()` | Case expression of this 'case' statement.
    `List<? extends StatementTree>` | `getStatements​()` | Return the list of statements for this 'case'.

    - ### Methods inherited from interface jdk.nashorn.api.tree.Tree

      `accept, getEndPosition, getKind, getStartPosition`

- - ### Method Detail

    - #### getExpression

          ExpressionTree getExpression​()

      Case expression of this 'case' statement.
      Returns:
        null if and only if this Case is `default:`

    - #### getStatements

          List<? extends StatementTree> getStatements​()

      Return the list of statements for this 'case'.
      Returns:
        list of statements for this 'case'